package de.accso.flexinale.domain.dao;

import de.accso.flexinale.domain.model.Besucher;
import de.accso.flexinale.domain.model.Ticket;
import de.accso.flexinale.shared_kernel.Identifiable;

import java.util.List;
import java.util.Optional;

public interface TicketDao extends AbstractDao<Ticket> {

    @Override
    Optional<Ticket> findById(final Identifiable.Id id);

    List<Ticket> findByBesucherOrderByZeit(final Besucher benutzer);

    int gesamtZahlDerTicketsFuer(final Besucher benutzer);
}
